> ## Documentation Index
> Fetch the complete documentation index at: https://bunny.net/docs/llms.txt
> Use this file to discover all available pages before exploring further.
# Get Pending Payment Requests
## OpenAPI
````yaml https://core-api-public-docs.b-cdn.net/docs/v3/public.json get /billing/payment-requests
openapi: 3.0.0
info:
title: bunny.net API
description: >-
Learn how to use the [bunny.net](https://bunny.net "bunny.net - The content delivery platform that truly hops.") API. Everything that can be done with the control panel can also be achieved with our API documented on this page. To learn how to use the storage API, have a look at our storage API documentation
Third party API clients:
We currently do not maintain an official API library, but you can use one of the third party ones provided here:
https://github.com/codewithmark/bunnycdn (bunny.net PHP library, thanks to Code With Mark)
Note that third party clients are not maintained or developed by bunny.net so we unfortunately cannot offer support for them.
termsOfService: https://bunny.net/tos
contact:
name: bunny.net
url: https://docs.bunny.net
email: support@bunny.net
version: 1.0.0
servers:
- url: https://api.bunny.net
description: bunny.net API Server
security:
- AccessKey: []
tags:
- name: Stream Video Library
- name: User
- name: AuditLog
- name: Storage Zone
- name: Statistics
- name: Search
- name: Pull Zone
- name: Pricing
- name: Load Balancer
- name: DNS Zone
- name: DNSSEC
- name: Billing
- name: API Keys
- name: Affiliate
- name: Countries
- name: Purge
- name: Region
paths:
/billing/payment-requests:
get:
tags:
- Billing
summary: Get Pending Payment Requests
operationId: GetPaymentRequestsEndpoint_GetPaymentRequests
responses:
'200':
description: |-
A list of pending payment requests
or
A list of pending payment requests
content:
application/json:
schema:
type: array
items:
$ref: '#/components/schemas/PaymentRequestModel'
x-expectedSchemas:
- description: A list of pending payment requests
schema:
type: array
nullable: true
items:
$ref: '#/components/schemas/PaymentRequestModel'
- description: A list of pending payment requests
schema:
type: array
nullable: true
items:
$ref: '#/components/schemas/PaymentRequestModel'
'401':
description: |-
The request authorization failed
or
The request authorization failed
'500':
description: |-
Internal Server Error
or
Internal Server Error
security:
- AccessKey:
- User
- UserApi
- SubuserAPIBilling
- SubuserBilling
- ScopedApiKey
- bearer:
- User
- UserApi
- SubuserAPIBilling
- SubuserBilling
- ScopedApiKey
components:
schemas:
PaymentRequestModel:
type: object
additionalProperties: false
properties:
Id:
type: integer
format: int64
Amount:
type: number
format: decimal
DateGenerated:
type: string
format: date-time
DateDue:
type: string
format: date-time
Description:
type: string
nullable: true
Paid:
type: boolean
DatePaid:
type: string
format: date-time
nullable: true
BillingInvoiceId:
type: integer
format: int64
nullable: true
BillingInvoiceDownloadLink:
type: string
nullable: true
BankTransferReference:
type: string
nullable: true
TaxRate:
type: number
format: decimal
TaxedAmount:
type: number
format: decimal
securitySchemes:
AccessKey:
type: apiKey
description: API Access Key authorization header
name: AccessKey
in: header
bearer:
type: apiKey
description: Bearer token authorization header
name: Authorization
in: header
````
This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.